ros-humble-rosbag2-transport (0.15.4-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 10 Jan 2023 06:00:00 -0000

ros-humble-rosbag2-transport (0.15.3-2jammy) jammy; urgency=high

  * Mark test_play_services as xfail for FastRTPS and CycloneDDS (#1091 <https://github.com/ros2/rosbag2/issues/1091>) (#1136 <https://github.com/ros2/rosbag2/issues/1136>)
  * Fix hangout in rosbag2 player and recorder when pressing CTRL+C (#1081 <https://github.com/ros2/rosbag2/issues/1081>) (#1085 <https://github.com/ros2/rosbag2/issues/1085>)
  * make writer and option variables private instead of protected (#1097 <https://github.com/ros2/rosbag2/issues/1097>)
  * Revert "[humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)" (#1069 <https://github.com/ros2/rosbag2/issues/1069>)
  * Notification of significant events during bag recording and playback (#908 <https://github.com/ros2/rosbag2/issues/908>) (#1037 <https://github.com/ros2/rosbag2/issues/1037>)
  * Backport. Add use_sim_time option to record verb (#1017 <https://github.com/ros2/rosbag2/issues/1017>)
  * Fix for rosbag2::Player freeze when ctrl+c in pause mode (#1002 <https://github.com/ros2/rosbag2/issues/1002>) (#1016 <https://github.com/ros2/rosbag2/issues/1016>)
  * Make unpublished topics unrecorded by default (#968 <https://github.com/ros2/rosbag2/issues/968>) (#1008 <https://github.com/ros2/rosbag2/issues/1008>)
  * Contributors: Bernardo Taveira, Esteve Fernandez, Geoffrey Biggs, Keisuke Shima, Michael Orlov, Sean Kelly, mergify[bot]

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 07 Nov 2022 06:00:00 -0000

ros-humble-rosbag2-transport (0.15.2-2jammy) jammy; urgency=high

  * Make peek_next_message_from_queue return a SharedPtr. (#993 <https://github.com/ros2/rosbag2/issues/993>)
  * Change the topic names in test_record.cpp (#988 <https://github.com/ros2/rosbag2/issues/988>)
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 11 May 2022 05:00:00 -0000

ros-humble-rosbag2-transport (0.15.1-2jammy) jammy; urgency=high

  * support to publish as loaned message (#981 <https://github.com/ros2/rosbag2/issues/981>)
  * Contributors: Audrow Nash, Barry Xu

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 06 Apr 2022 05:00:00 -0000

ros-humble-rosbag2-transport (0.15.0-2jammy) jammy; urgency=high

  * support to publish as loaned message (#981 <https://github.com/ros2/rosbag2/issues/981>)
  * Contributors: Barry Xu

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 05 Apr 2022 05:00:00 -0000

ros-humble-rosbag2-transport (0.14.1-2jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 05:00:00 -0000

ros-humble-rosbag2-transport (0.14.0-2jammy) jammy; urgency=high

  * Add burst-mode to Player (#977 <https://github.com/ros2/rosbag2/issues/977>)
  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Make sure published messages are acknowledged for play mode (#951 <https://github.com/ros2/rosbag2/issues/951>)
  * Contributors: Barry Xu, Geoffrey Biggs, Shane Loretz

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 05:00:00 -0000

ros-humble-rosbag2-transport (0.13.0-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 06:00:00 -0000

ros-humble-rosbag2-transport (0.12.0-2jammy) jammy; urgency=high

  * Changes for uncrustify 0.72 (#937 <https://github.com/ros2/rosbag2/issues/937>)
  * TopicFilter use regex_search instead of regex_match (#932 <https://github.com/ros2/rosbag2/issues/932>)
  * Add start-offset play option (#931 <https://github.com/ros2/rosbag2/issues/931>)
  * Add parentheses suggested by Clang on OSX to fix build warning (#930 <https://github.com/ros2/rosbag2/issues/930>)
  * Bag rewriter (C++) (#920 <https://github.com/ros2/rosbag2/issues/920>)
  * Add "ignore leaf topics" option to recorder (#925 <https://github.com/ros2/rosbag2/issues/925>)
  * Rewrite TopicFilter for single-call reusability (#924 <https://github.com/ros2/rosbag2/issues/924>)
  * Add a ReaderWriterFactory utility to share logic for reuse (#923 <https://github.com/ros2/rosbag2/issues/923>)
  * Add pause/resume options to the bag recorder (#905 <https://github.com/ros2/rosbag2/issues/905>)
  * Add logging macros for rosbag2_transport (#917 <https://github.com/ros2/rosbag2/issues/917>)
  * Enable YAML encoding/decoding for RecordOptions and StorageOptions (#916 <https://github.com/ros2/rosbag2/issues/916>)
  * Expose the QoS object wrapper (#910 <https://github.com/ros2/rosbag2/issues/910>)
  * Contributors: Abrar Rahman Protyasha, Chris Lalancette, Emerson Knapp, Geoffrey Biggs, Ivan Santiago Paunovic

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 06:00:00 -0000

ros-humble-rosbag2-transport (0.11.0-2jammy) jammy; urgency=high

  * Add --start-paused option to ros2 bag play (#904 <https://github.com/ros2/rosbag2/issues/904>)
  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Add a Seek service (#874 <https://github.com/ros2/rosbag2/issues/874>)
  * Add simple keyboard control for playback rate (#893 <https://github.com/ros2/rosbag2/issues/893>)
  * Contributors: Emerson Knapp, Ivan Santiago Paunovic, Michel Hidalgo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 06:00:00 -0000

ros-humble-rosbag2-transport (0.10.1-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 22 Oct 2021 05:00:00 -0000

ros-humble-rosbag2-transport (0.10.0-2jammy) jammy; urgency=high

  * Fix a bug on invalid pointer address when using "MESSAGE" compressio… (#866 <https://github.com/ros2/rosbag2/issues/866>)
  * Fix typo (#880 <https://github.com/ros2/rosbag2/issues/880>)
  * Use Reader's seek() method for seeking/jumping in Player (#873 <https://github.com/ros2/rosbag2/issues/873>)
  * keyboard controls for pause/resume toggle and play-next: (#847 <https://github.com/ros2/rosbag2/issues/847>)
  * Implement snapshot mechanism and corresponding ROS Service (#850 <https://github.com/ros2/rosbag2/issues/850>)
  * Circular Message Cache implementation for snapshot feature (#844 <https://github.com/ros2/rosbag2/issues/844>)
  * Add jump/seek API for Player class (#826 <https://github.com/ros2/rosbag2/issues/826>)
  * Restructure test_play_timing to one test per case, to see which times out (#863 <https://github.com/ros2/rosbag2/issues/863>)
  * Fix discovery silently stops after unknown msg type is found. (#848 <https://github.com/ros2/rosbag2/issues/848>)
  * Fixing deprecated subscriber callback warnings (#852 <https://github.com/ros2/rosbag2/issues/852>)
  * Bugfix for race condition in Player::peek_next_message_from_queue() (#849 <https://github.com/ros2/rosbag2/issues/849>)
  * added seek interface (#836 <https://github.com/ros2/rosbag2/issues/836>)
  * Update PlayOptions::delay to rclcpp::Duration to get nanosecond resolution (#843 <https://github.com/ros2/rosbag2/issues/843>)
  * Move notification about ready for playback inside play_messages_from_queue() (#832 <https://github.com/ros2/rosbag2/issues/832>)
  * Add wait for player to be ready for playback in Player::play_next() method (#814 <https://github.com/ros2/rosbag2/issues/814>)
  * Make sure the subscription exists before publishing messages (#804 <https://github.com/ros2/rosbag2/issues/804>)
  * Add delay option (#789 <https://github.com/ros2/rosbag2/issues/789>)
  * Copy recorder QoS profile to local variable so that temporary value isn't cleared (#803 <https://github.com/ros2/rosbag2/issues/803>)
  * test_play_services: fail gracefully on future error (#798 <https://github.com/ros2/rosbag2/issues/798>)
  * Recording with --all and --exclude fix (#765 <https://github.com/ros2/rosbag2/issues/765>)
  * Contributors: Abrar Rahman Protyasha, Barry Xu, Bastian Jäger, Cameron Miller, Emerson Knapp, Kosuke Takeuchi, Lei Liu, Louise Poubel, Michael Orlov, Piotr Jaroszek, sonia

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 19 Oct 2021 05:00:00 -0000

ros-humble-rosbag2-transport (0.9.0-2jammy) jammy; urgency=high

  * Expose play_next service (#767 <https://github.com/ros2/rosbag2/issues/767>)
  * Add play_next() API to the player class (#762 <https://github.com/ros2/rosbag2/issues/762>)
  * Naive clock jump implementation - allows for clock reuse and simplified Player setup (#754 <https://github.com/ros2/rosbag2/issues/754>)
  * Rename Reader/Writer 'reset' to 'close' (#760 <https://github.com/ros2/rosbag2/issues/760>)
  * simply constructor for rosbag2_transport::Player (#757 <https://github.com/ros2/rosbag2/issues/757>)
  * Expose GetRate/SetRate services for playback (#753 <https://github.com/ros2/rosbag2/issues/753>)
  * Expose pause/resume related services on the Player (#729 <https://github.com/ros2/rosbag2/issues/729>)
  * remodel publication manager (#749 <https://github.com/ros2/rosbag2/issues/749>)
  * remove rosbag2_transport header (#742 <https://github.com/ros2/rosbag2/issues/742>)
  * use public recorder api in tests (#741 <https://github.com/ros2/rosbag2/issues/741>)
  * Use public player API in tests (#740 <https://github.com/ros2/rosbag2/issues/740>)
  * public recorder and player (#739 <https://github.com/ros2/rosbag2/issues/739>)
  * player owns the reader (#725 <https://github.com/ros2/rosbag2/issues/725>)
  * Contributors: Emerson Knapp, Karsten Knese, Michael Orlov

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 17 May 2021 05:00:00 -0000

ros-humble-rosbag2-transport (0.8.0-2jammy) jammy; urgency=high

  * cleanup cmakelists (#726 <https://github.com/ros2/rosbag2/issues/726>)
  * turn recorder into a node (#724 <https://github.com/ros2/rosbag2/issues/724>)
  * turn player into a node (#723 <https://github.com/ros2/rosbag2/issues/723>)
  * Remove -Werror from builds, enable it in Action CI (#722 <https://github.com/ros2/rosbag2/issues/722>)
  * Split Rosbag2Transport into Player and Recorder classes - first pass to enable further progress (#721 <https://github.com/ros2/rosbag2/issues/721>)
  * /clock publisher in Player (#695 <https://github.com/ros2/rosbag2/issues/695>)
  * use rclcpp logging macros (#715 <https://github.com/ros2/rosbag2/issues/715>)
  * use rclcpp::Node for generic pub/sub (#714 <https://github.com/ros2/rosbag2/issues/714>)
  * PlayerClock initial implementation - Player functionally unchanged (#689 <https://github.com/ros2/rosbag2/issues/689>)
  * Fix bad_function_call by replacing rclcpp::spin_some with SingleThreadedExecutor (#705 <https://github.com/ros2/rosbag2/issues/705>)
  * rosbag2_py pybind wrapper for "record" - remove rosbag2_transport_py (#702 <https://github.com/ros2/rosbag2/issues/702>)
  * Add rosbag2_py::Player::play to replace rosbag2_transport_python version (#693 <https://github.com/ros2/rosbag2/issues/693>)
  * Fix and clarify logic in test_play filter test (#690 <https://github.com/ros2/rosbag2/issues/690>)
  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Add QoS decoding translation for infinite durations to RMW_DURATION_INFINITE (#684 <https://github.com/ros2/rosbag2/issues/684>)
  * Contributors: Emerson Knapp, Karsten Knese

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 19 Apr 2021 05:00:00 -0000

ros-humble-rosbag2-transport (0.7.0-2jammy) jammy; urgency=high

  * Add support for rmw_connextdds (#671 <https://github.com/ros2/rosbag2/issues/671>)
  * Use rosbag2_py for ros2 bag info (#673 <https://github.com/ros2/rosbag2/issues/673>)
  * Contributors: Andrea Sorbini, Karsten Knese

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-humble-rosbag2-transport (0.6.0-2jammy) jammy; urgency=high

  * Fix build issues when rosbag2_storage is binary installed (#585 <https://github.com/ros2/rosbag2/issues/585>)
  * Regex and exclude fix for rosbag recorder (#620 <https://github.com/ros2/rosbag2/issues/620>)
  * Recorder --regex and --exclude options (#604 <https://github.com/ros2/rosbag2/issues/604>)
  * SQLite storage optimized by default (#568 <https://github.com/ros2/rosbag2/issues/568>)
  * Fixed playing if unknown message types exist (#592 <https://github.com/ros2/rosbag2/issues/592>)
  * Compress bag files in separate threads (#506 <https://github.com/ros2/rosbag2/issues/506>)
  * Stabilize test_record by reducing copies of executors and messages (#576 <https://github.com/ros2/rosbag2/issues/576>)
  * Contributors: Adam Dąbrowski, Chen Lihui, Emerson Knapp, P. J. Reed, Piotr Jaroszek

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 01 Feb 2021 06:00:00 -0000

ros-humble-rosbag2-transport (0.5.0-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 02 Dec 2020 06:00:00 -0000

ros-humble-rosbag2-transport (0.4.0-2jammy) jammy; urgency=high

  * add storage_config_uri (#493 <https://github.com/ros2/rosbag2/issues/493>)
  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * resolve memory leak for serialized message (#502 <https://github.com/ros2/rosbag2/issues/502>)
  * Use shared logic for importing the rosbag2_transport_py library in Python (#482 <https://github.com/ros2/rosbag2/issues/482>)
  * fix missing target dependencies (#479 <https://github.com/ros2/rosbag2/issues/479>)
  * reenable cppcheck for rosbag2_transport (#461 <https://github.com/ros2/rosbag2/issues/461>)
  * More reliable topic remapping test (#456 <https://github.com/ros2/rosbag2/issues/456>)
  * Add split by time to recording (#409 <https://github.com/ros2/rosbag2/issues/409>)
  * export shared_queues_vendor (#434 <https://github.com/ros2/rosbag2/issues/434>)
  * Contributors: Dirk Thomas, Emerson Knapp, Karsten Knese, Michael Jeronimo, jhdcs

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 19 Nov 2020 06:00:00 -0000

ros-humble-rosbag2-transport (0.3.2-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 03 Jun 2020 05:00:00 -0000

ros-humble-rosbag2-transport (0.3.1-2jammy) jammy; urgency=high

  * Find rosbag2_cpp (tinyxml2) before rcl (#423 <https://github.com/ros2/rosbag2/issues/423>)
  * Shared publisher handle (#420 <https://github.com/ros2/rosbag2/issues/420>)
  * Contributors: Chris Lalancette, Karsten Knese

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 01 Jun 2020 05:00:00 -0000

ros-humble-rosbag2-transport (0.3.0-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-rosbag2-transport (0.2.8-2jammy) jammy; urgency=high

  * Explicitly add DLL directories for Windows before importing (#411 <https://github.com/ros2/rosbag2/issues/411>)
  * Contributors: Jacob Perron

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 18 May 2020 05:00:00 -0000

ros-humble-rosbag2-transport (0.2.7-2jammy) jammy; urgency=high

  * Remove MANUAL_BY_NODE liveliness usage (#406 <https://github.com/ros2/rosbag2/issues/406>)
  * Contributors: Ivan Santiago Paunovic

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 12 May 2020 05:00:00 -0000

ros-humble-rosbag2-transport (0.2.6-2jammy) jammy; urgency=high

  * Correct usage of rcpputils::SharedLibrary loading. (#400 <https://github.com/ros2/rosbag2/issues/400>)
  * Contributors: Karsten Knese

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 07 May 2020 05:00:00 -0000

ros-humble-rosbag2-transport (0.2.5-2jammy) jammy; urgency=high

  * add topic remapping option to rosbag2 play (#388 <https://github.com/ros2/rosbag2/issues/388>)
  * add missing test dependency (#392 <https://github.com/ros2/rosbag2/issues/392>)
  * use serialized message (#386 <https://github.com/ros2/rosbag2/issues/386>)
  * Adaptive playback qos based on recorded metadata (#364 <https://github.com/ros2/rosbag2/issues/364>)
  * Add loop option to rosbag play (#361 <https://github.com/ros2/rosbag2/issues/361>)
  * Move qos utilities to their own compilation unit (#379 <https://github.com/ros2/rosbag2/issues/379>)
  * Expose BaseReaderInterface's BagMetadata  (#377 <https://github.com/ros2/rosbag2/issues/377>)
  * Expose topic filter to command line (addresses #342 <https://github.com/ros2/rosbag2/issues/342>) (#363 <https://github.com/ros2/rosbag2/issues/363>)
  * Fix Action CI tests to pass reliably (#376 <https://github.com/ros2/rosbag2/issues/376>)
  * Update GenericSubscription's handle_message signature (#373 <https://github.com/ros2/rosbag2/issues/373>)
  * Bridge CLI with transport (#370 <https://github.com/ros2/rosbag2/issues/370>)
  * Override QoS Profiles in CLI - Playback (#356 <https://github.com/ros2/rosbag2/issues/356>)
  * QoS Profile Overrides - Player (#353 <https://github.com/ros2/rosbag2/issues/353>)
  * Fix rosbag2_tests resource files and play_end_to_end test (#362 <https://github.com/ros2/rosbag2/issues/362>)
  * use ament_export_targets() (#360 <https://github.com/ros2/rosbag2/issues/360>)
  * Intelligently subscribe to topics according to their QoS profiles (#355 <https://github.com/ros2/rosbag2/issues/355>)
  * Add QoS Profile override to CLI (#347 <https://github.com/ros2/rosbag2/issues/347>)
  * Override Subscriber QoS - Record (#346 <https://github.com/ros2/rosbag2/issues/346>)
  * Replace poco dependency by rcutils (#322 <https://github.com/ros2/rosbag2/issues/322>)
  * Test all RMW implementations for rosbag2_transport (#349 <https://github.com/ros2/rosbag2/issues/349>)
  * Add filter for reading selective topics (#302 <https://github.com/ros2/rosbag2/issues/302>)
  * Disable adaptive qos subscription for now  (#348 <https://github.com/ros2/rosbag2/issues/348>)
  * Subscribe to topics using the common offered QoS (#343 <https://github.com/ros2/rosbag2/issues/343>)
  * Transaction based sqlite3 inserts (#225 <https://github.com/ros2/rosbag2/issues/225>)
  * Allow GenericPublisher / GenericSubscription to take a QoS profile (#337 <https://github.com/ros2/rosbag2/issues/337>)
  * Query offered QoS profiles for a topic and store in metadata (#333 <https://github.com/ros2/rosbag2/issues/333>)
  * Add QoS profiles field to metadata struct and provide serialization utilities (#330 <https://github.com/ros2/rosbag2/issues/330>)
  * include hidden topics (#332 <https://github.com/ros2/rosbag2/issues/332>)
  * Add playback rate command line arg (#304 <https://github.com/ros2/rosbag2/issues/304>)
  * Removed rosidl_generator_cpp in rosbag2_transport because it's not used (#321 <https://github.com/ros2/rosbag2/issues/321>)
  * Fix race condition in transport recorder (#303 <https://github.com/ros2/rosbag2/issues/303>)
  * [compression] Enable compression through ros2bag cli (#263 <https://github.com/ros2/rosbag2/issues/263>)
  * code style only: wrap after open parenthesis if not in one line (#280 <https://github.com/ros2/rosbag2/issues/280>)
  * Make rosbag2 a metapackage (#241 <https://github.com/ros2/rosbag2/issues/241>)
  * make ros tooling working group maintainer (#211 <https://github.com/ros2/rosbag2/issues/211>)
  * Contributors: Alejandro Hernández Cordero, Anas Abou Allaban, Dirk Thomas, Emerson Knapp, Karsten Knese, Mabel Zhang, Sriram Raghunathan, Zachary Michaels, carlossvg, ketatam

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 30 Apr 2020 05:00:00 -0000

ros-humble-rosbag2-transport (0.2.4-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-humble-rosbag2-transport (0.2.3-2jammy) jammy; urgency=high

  * Add CLI option to expose bagfile splitting. (#203 <https://github.com/ros2/rosbag2/issues/203>)
  * Delay subscriber asynchronous creation for opensplice in test_rosbag2_node. (#196 <https://github.com/ros2/rosbag2/issues/196>)
  * Modular Reader/Writer API. (#205 <https://github.com/ros2/rosbag2/issues/205>)
  * Contributors: Brian Marchi, Karsten Knese, Prajakta Gokhale

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-humble-rosbag2-transport (0.2.2-2jammy) jammy; urgency=high

  * (API) Generate bagfile metadata in Writer (#184 <https://github.com/ros2/rosbag2/issues/184>)
  * Contributors: Zachary Michaels

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-humble-rosbag2-transport (0.2.1-2jammy) jammy; urgency=high

  * Disable parameter event publishers on test nodes. (#180 <https://github.com/ros2/rosbag2/issues/180>)
  * Narrow down tests for topic discovery. (#178 <https://github.com/ros2/rosbag2/issues/178>)
  * Fix API for new Intra-Process communication. (#143 <https://github.com/ros2/rosbag2/issues/143>)
  * Add dependency on python_cmake_module. (#188 <https://github.com/ros2/rosbag2/issues/188>)
  * Add bagfile splitting support to storage_options. (#182 <https://github.com/ros2/rosbag2/issues/182>)
  * Fix the test failure of wrong messages count. (#165 <https://github.com/ros2/rosbag2/issues/165>)
  * Support for zero-copy message transport. (#168 <https://github.com/ros2/rosbag2/issues/168>)
  * Contributors: Alberto Soragna, ChenYing Kuo, Dan Rose, Karsten Knese, Mikael Arguedas, Zachary Michaels

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-humble-rosbag2-transport (0.2.0-2jammy) jammy; urgency=high

  * fixup after API changes to Subscription in rclcpp (#166 <https://github.com/ros2/rosbag2/issues/166>)
  * disable some tests for connext (#145 <https://github.com/ros2/rosbag2/issues/145>)
  * disable plugins/tests which need rmw_fastrtps_cpp if unavailable (#137 <https://github.com/ros2/rosbag2/issues/137>)
  * Fix test failures on armhf (#135 <https://github.com/ros2/rosbag2/issues/135>)
  * Contributors: Karsten Knese, Prajakta Gokhale, William Woodall, ivanpauno

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-humble-rosbag2-transport (0.1.2-2jammy) jammy; urgency=high

  * Fixes an init race condition (#93 <https://github.com/ros2/rosbag2/issues/93>)
    * This could probably be a race condition, for ex: When we've create a subscriber in the API, and the subscriber has the data already available in the callback (Cause of existing publishers) the db entry for the particular topic would not be availalble, which in turn returns an SqliteException. This is cause write_->create_topic() call is where we add the db entry for a particular topic. And, this leads to crashing before any recording.
    Locally I solved it by adding the db entry first, and if
    create_subscription fails, remove the topic entry from the db and also
    erase the subscription.
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fix comments for pull request https://github.com/ros2/rosbag2/pull/93
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Added unit test case for remove_topics from db
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fix unit tests failing by adding dependent test macros
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fixes the linter errors
  * Update troubleshooting reference to index.ros.org (#120 <https://github.com/ros2/rosbag2/issues/120>)
    Signed-off-by: Michael Carroll <mailto:michael@openrobotics.org>
  * Contributors: Michael Carroll, Sriram Raghunathan

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-humble-rosbag2-transport (0.1.1-2jammy) jammy; urgency=high

  * fix condition to only apply pragma for GCC 8+ (#117 <https://github.com/ros2/rosbag2/issues/117>)
  * Contributors: Dirk Thomas

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 09 May 2019 05:00:00 -0000

ros-humble-rosbag2-transport (0.1.0-2jammy) jammy; urgency=high

  * ignore cast function type warning (#116 <https://github.com/ros2/rosbag2/issues/116>)
  * changes to avoid deprecated API's (#115 <https://github.com/ros2/rosbag2/issues/115>)
  * Handle message type name with multiple namespace parts (#114 <https://github.com/ros2/rosbag2/issues/114>)
  * fix compilation against master (#111 <https://github.com/ros2/rosbag2/issues/111>)
  * fix logging signature (#107 <https://github.com/ros2/rosbag2/issues/107>)
  * use fastrtps static instead of dynamic (#104 <https://github.com/ros2/rosbag2/issues/104>)
  * enforce unique node names (#86 <https://github.com/ros2/rosbag2/issues/86>)
  * disable cppcheck (#91 <https://github.com/ros2/rosbag2/issues/91>)
  * Consistent node naming across ros2cli tools (#60 <https://github.com/ros2/rosbag2/issues/60>)
  * Contributors: AAlon, Dirk Thomas, Jacob Perron, Karsten Knese, William Woodall

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-humble-rosbag2-transport (0.0.5-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 27 Dec 2018 06:00:00 -0000

ros-humble-rosbag2-transport (0.0.4-2jammy) jammy; urgency=high

  * Improve queue usage (#75 <https://github.com/bsinno/rosbag2/issues/75>)
  * 0.0.3
  * Play old bagfiles (#69 <https://github.com/bsinno/rosbag2/issues/69>)
  * Release fixups (#72 <https://github.com/bsinno/rosbag2/issues/72>)
  * Contributors: Andreas Holzner, Karsten Knese, Martin Idel

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 19 Dec 2018 06:00:00 -0000

ros-humble-rosbag2-transport (0.0.2-2jammy) jammy; urgency=high

  * update maintainer email
  * Contributors: Karsten Knese

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 12 Dec 2018 06:00:00 -0000

ros-humble-rosbag2-transport (0.0.1-2jammy) jammy; urgency=high

  * Auto discovery of new topics (#63 <https://github.com/ros2/rosbag2/issues/63>)
  * Fix master build and small renamings (#67 <https://github.com/ros2/rosbag2/issues/67>)
  * rename topic_with_types to topic_metadata
  * use converter options
  * iterate_over_formatter
  * GH-142 replace map with unordered map where possible (#65 <https://github.com/ros2/rosbag2/issues/65>)
  * Use converters when recording a bag file (#57 <https://github.com/ros2/rosbag2/issues/57>)
  * use uint8 for serialized message (#61 <https://github.com/ros2/rosbag2/issues/61>)
  * Renaming struct members for consistency (#64 <https://github.com/ros2/rosbag2/issues/64>)
  * Use converters when playing back files (#56 <https://github.com/ros2/rosbag2/issues/56>)
  * Implement converter plugin for CDR format and add converter plugins package (#48 <https://github.com/ros2/rosbag2/issues/48>)
  * Display bag summary using ros2 bag info (#45 <https://github.com/ros2/rosbag2/issues/45>)
  * GH-117 Check also for rclcpp::ok() when playing back messages (#54 <https://github.com/ros2/rosbag2/issues/54>)
  * Extract recorder from rosbag2_transport, fix test naming (#44 <https://github.com/ros2/rosbag2/issues/44>)
  * Introduce rosbag2_transport layer and CLI (#38 <https://github.com/ros2/rosbag2/issues/38>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Karsten Knese, Martin Idel

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 11 Dec 2018 06:00:00 -0000


